.file-upload-wrapper {
    height: fit-content;
    padding: 2.5%;
    overflow-x: auto;

    & .file-upload-flex {
        display: flex;
        flex-direction: row;
        justify-content:flex-start;
        gap: 5%;

        // general column
        & .file-upload-column {
            width: 100%; // ensures in scenarios where only 2 of 3 columns are displayed, that the second
                        // column grows to fill the available space
        }
    
        // specialized first column displaying upload type, data type,...
        & .file-upload-options {
            display: flex;
            flex-direction: column;
            width: fit-content; // allows for the other columns to shirnk and grow based on how many columns are present
        }
    }

    // general mat-form-field styling
    & .file-upload-form-field {
        width: 13rem;
    }

    // specialized mat-form-field styling for search parameter ion tolerance input + unit selection
    & .file-upload-grid-input-with-selector {
        width: 20rem;
        display: grid;
        grid-template-columns: [input] 50% [unit] 35%;
    }

    // specialized, multiple dropzones next to each other for search result DAT-upload
    & .file-upload-dat-dropzones {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        
        & .dropzone {
            width: 100%;
        }
    }
}